> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# AddPstnBlackListItem

POST https://api.voximplant.com/platform_api/AddPstnBlackListItem

Add a new phone number to the PSTN blacklist. Use blacklist to block incoming calls from specified phone numbers to numbers purchased from Voximplant. Since we have no control over exact phone number format for calls from SIP integrations, blacklisting such numbers should be done via JavaScript scenarios.

Allowed roles: `Owner`, `Admin`.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/pstn-blacklist/add-pstn-black-list-item

## Authentication

- `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

## Request

### Query parameters

- `pstn_blacklist_phone` (string, required) — The phone number in format e164 or regex pattern

## Response

### 200

Successful response

- `result` (integer, optional) — Returns 1 if the request has been completed successfully
- `pstn_blacklist_id` (integer, optional) — The PSTN black list item ID

## Examples

**Response**

```json
{
  "result": 1,
  "pstn_blacklist_id": 1
}
```

**SDK Code**

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/AddPstnBlackListItem"

querystring = {"pstn_blacklist_phone":"pstn_blacklist_phone"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/AddPstnBlackListItem?pstn_blacklist_phone=pstn_blacklist_phone';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/AddPstnBlackListItem?pstn_blacklist_phone=pstn_blacklist_phone"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/AddPstnBlackListItem?pstn_blacklist_phone=pstn_blacklist_phone")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/AddPstnBlackListItem?pstn_blacklist_phone=pstn_blacklist_phone")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/AddPstnBlackListItem?pstn_blacklist_phone=pstn_blacklist_phone', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/AddPstnBlackListItem?pstn_blacklist_phone=pstn_blacklist_phone");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/AddPstnBlackListItem?pstn_blacklist_phone=pstn_blacklist_phone")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```